package com.lovcoding.day04;

import java.util.Random;

public class Test04_For01_break {
    public static void main(String[] args) {
        // break 停止 结束
        // 用在循环中
        for (int i = 0; i < 100; i++) {
            if (i == 3){
                break;
            }else{
                System.out.println(i);
            }
        }

        System.out.println("--------");
        //声明一个随机数，判断当前随机数是否是质数（只能被1和本省整除的数字）
        //举例  7   比如7%1 = 7    7%2=1 一直到 本身 7%7 =0 。其他都不能被整除，就是质数。

        //生成随机数
        Random random = new Random();
        int number = random.nextInt(100); // 8

        System.out.println(number);
        //标识位
        boolean flag = true;
        // 7% 2-6 没有等于0 确定 是 质数
        for ( int i = 2; i < number ; i++ ){
            if (number % i == 0){
                flag = false;
                //第一次就发现不是质数后面不需要验证了
                //停止
                break;
            }
        }
        //看标志位
        if (flag){
            System.out.println(number+"是质数");
        }else{
            System.out.println(number+"不是质数");
        }


    }
}
